Skip to main content
POST
/
organizations
/
{organizationId}
Update an Organization
curl --request POST \
  --url https://api.astronomer.io/platform/v1beta1/organizations/{organizationId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "billingEmail": "billing@company.com",
  "isScimEnabled": false,
  "name": "My Organization",
  "allowEnhancedSupportAccess": false,
  "shouldEnforceDedicatedClusters": false
}
'
{
  "allowEnhancedSupportAccess": true,
  "createdAt": "2022-11-22T04:37:12Z",
  "createdBy": {
    "id": "clm8qv74h000008mlf08scq7k",
    "apiTokenName": "my-token",
    "avatarUrl": "https://avatar.url",
    "fullName": "Jane Doe",
    "subjectType": "USER",
    "username": "user1@company.com"
  },
  "id": "clmaxoarx000008l2c5ayb9pt",
  "isScimEnabled": false,
  "name": "My organization",
  "shouldEnforceDedicatedClusters": true,
  "supportPlan": "BUSINESS_CRITICAL",
  "updatedAt": "2022-11-22T04:37:12Z",
  "updatedBy": {
    "id": "clm8qv74h000008mlf08scq7k",
    "apiTokenName": "my-token",
    "avatarUrl": "https://avatar.url",
    "fullName": "Jane Doe",
    "subjectType": "USER",
    "username": "user1@company.com"
  },
  "billingEmail": "billing@company.com",
  "managedDomains": [
    {
      "createdAt": "2023-11-07T05:31:56Z",
      "id": "cln203mz7000008jv0jyz9m3y",
      "name": "mycompany.com",
      "organizationId": "cln204xr2000008mu3hhe3zwe",
      "status": "PENDING",
      "updatedAt": "2023-11-07T05:31:56Z",
      "enforcedLogins": [
        "password"
      ]
    }
  ],
  "paymentMethod": "CREDIT_CARD",
  "product": "HOSTED",
  "productPlans": [
    {
      "astronomerProduct": "ASTRO",
      "organizationId": "<string>",
      "productPlanId": "<string>",
      "productPlanName": "<string>"
    }
  ],
  "status": "ACTIVE",
  "trialExpiresAt": "2022-11-22T04:37:12Z"
}

Documentation Index

Fetch the complete documentation index at: https://astronomer-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationId
string
required

The Organization's ID.

Body

application/json

The request body for updating the Organization.

billingEmail
string
required

The Organization's billing email.

Example:

"billing@company.com"

isScimEnabled
boolean
required

Whether SCIM is enabled for the Organization.

Example:

false

name
string
required

The name of the Organization.

Maximum string length: 50
Example:

"My Organization"

allowEnhancedSupportAccess
boolean
Example:

false

shouldEnforceDedicatedClusters
boolean

When true, only dedicated cluster deployments can be created. Requires Team tier or higher.

Example:

false

Response

OK

allowEnhancedSupportAccess
boolean
required

Whether the organization allows CRE to have view access to their entities

createdAt
string<date-time>
required

The time when the Organization was created in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ.

Example:

"2022-11-22T04:37:12Z"

createdBy
object
required
id
string
required

The Organization's ID.

Example:

"clmaxoarx000008l2c5ayb9pt"

isScimEnabled
boolean
required

Whether SCIM is enabled for the Organization.

Example:

false

name
string
required

The Organization's name.

Example:

"My organization"

shouldEnforceDedicatedClusters
boolean
required

When true, only dedicated cluster deployments can be created.

supportPlan
enum<string>
required

The Organization's support plan.

Available options:
INACTIVE,
INTERNAL,
POV,
TRIAL,
BASIC,
BASIC_PAYGO,
TEAM_PAYGO,
STANDARD,
PREMIUM,
BUSINESS_CRITICAL,
BUSINESS,
TEAM,
ENTERPRISE,
DEVELOPER,
DEVELOPER_PAYGO,
TEAM_V2,
BUSINESS_V2,
ENTERPRISE_V2,
TRIAL_V2,
ENTERPRISE_BUSINESS_CRITICAL
Example:

"BUSINESS_CRITICAL"

updatedAt
string<date-time>
required

The time when the Organization was last updated in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ.

Example:

"2022-11-22T04:37:12Z"

updatedBy
object
required
billingEmail
string

The Organization's billing email.

Example:

"billing@company.com"

managedDomains
object[]

The list of managed domains configured in the Organization.

paymentMethod
enum<string>

The Organization's payment method.

Available options:
CREDIT_CARD,
INVOICE,
AWS_MARKETPLACE,
AZURE_MARKETPLACE,
GCP_MARKETPLACE,
SNOWFLAKE_MARKETPLACE
Example:

"CREDIT_CARD"

product
enum<string>

The Organization's product type.

Available options:
HOSTED,
HYBRID
Example:

"HOSTED"

productPlans
object[]
status
enum<string>

The Organization's status.

Available options:
ACTIVE,
INACTIVE,
SUSPENDED
Example:

"ACTIVE"

trialExpiresAt
string<date-time>

The time when the Organization's trial expires in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ. Organizations that are no longer in Trial will not have a expiry date.

Example:

"2022-11-22T04:37:12Z"